/***************************************************************************
                          accel.cpp  -  description
                             -------------------
    begin                : Wed Nov 6 2002
    copyright            : (C) 2003 by Troy Corbin Jr.
    email                : tcorbin@users.sf.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "accel.moc"
#include <klocale.h>

Accel::Accel( QWidget *parent, QObject *target ) : KAccel( parent )
{
    readSettings();

    if( target )
    {
      setTarget( target );
    }
}
Accel::~Accel()
{
  writeSettings();
}
void Accel::setTarget( QObject *target )
{
  remove( "Previous Move" );
  remove( "Next Move" );
  remove( "Enter Text" );
  remove( "Page Up" );
  remove( "Page Down" );
  remove( "Last History Item" );
  remove( "Next History Item" );
  remove( "Tell Reply" );
  remove( "Channel Reply" );
  remove( "Kibitz" );
  remove( "Whisper" );

  insert( "Previous Move", i18n("Previous Move"), QString::null, Key_Up, target, SIGNAL( move_prev() ), true );
  insert( "Next Move", i18n("Next Move"), QString::null, Key_Down, target, SIGNAL( move_next() ), true );
  insert( "Enter Text", i18n("Enter Text"), QString::null, Key_Return, target, SIGNAL( focus() ), true );
  insert( "Page Up", i18n("Page Up"), QString::null, Key_PageUp, target, SIGNAL( page_up() ), true );
  insert( "Page Down", i18n("Page Down"), QString::null, Key_PageDown, target, SIGNAL( page_down() ), true );
  insert( "Last History Item", i18n("Last History Item"), QString::null, SHIFT + Key_Up, target, SIGNAL( history_prev() ), true );
  insert( "Next History Item", i18n("Next History Item"), QString::null, SHIFT + Key_Down, target, SIGNAL( history_next() ), true );
  insert( "Tell Reply", i18n("Reply to the Last Tell"), QString::null, ALT + Key_R, target, SIGNAL( reply_tell() ), true );
  insert( "Channel Reply", i18n("Reply to the Channel"), QString::null, ALT + Key_C, target, SIGNAL( reply_channel() ), true );
  insert( "Kibitz", i18n("Kibitz"), QString::null, ALT + Key_K, target, SIGNAL( kibitz() ), true );
  insert( "Whisper", i18n("Whisper"), QString::null, ALT + Key_W, target, SIGNAL( whisper() ), true );
}
