/***************************************************************************
                          audio.h  -  description
                             -------------------
    begin                : Mon Jan 7 2002
    copyright            : (C) 2003 by Troy Corbin Jr.
    email                : tcorbin@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef AUDIO_H
#define AUDIO_H

#include "definitions.h"
#include <kurl.h>
#include <ktempfile.h>

/**
  *@author Troy Corbin Jr.
  */

/*
                These represent the various sounds that can be played.
*/
namespace Sound
{
const int None            = 0x0000;
const int Select          = 0x0001;
const int Move            = 0x0002;
const int MatchOver       = 0x0003; // Deprecieated
const int Check           = 0x0004;
const int Flag            = 0x0005;
const int Challenge       = 0x0050;
const int Tell            = 0x0051;
const int Notification    = 0x0052;
const int DrawOffer       = 0x0053;
const int Say             = 0x0054;
const int Promote         = 0x0055;
}

class audioPrivate;
class audio
{
public:
    audio();
    ~audio();
    void                play( const int );
    void                setTheme( const QString& );

    bool                enabled;
    int                 volume;
    ThemeHeader         themeHeader;
protected:
    void                prepFile( const QString&, const int& );
private:
    audioPrivate        *a;
};

#endif
