/***************************************************************************
                          dlg_selectengine.h  -  description
                             -------------------
    begin                : Wed Aug 28 2002
    copyright            : (C) 2003 by Troy Corbin Jr.
    email                : tcorbin@users.sf.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DLG_SELECTENGINE_H
#define DLG_SELECTENGINE_H

#include <qwidget.h>
#include <kdialogbase.h>
#include "definitions.h"

/**
  *@author Troy Corbin Jr.
  */

class QVBox;
class QSlider;
class QLabel;
class KComboBox;
class QGroupBox;
class resource;

class dlg_selectengine : public KDialogBase
{
    Q_OBJECT
public:
    dlg_selectengine(QWidget *parent, resource *Rsrc, bool army );
    ~dlg_selectengine();
    int         strength( void );
    bool        Army;

protected:
    void        buildEngineData( void );

protected slots:
    void        slotCurrent( int Index );
    void        slotCurrentHelper( int Index );
    void        slotStrength( int );

signals:
    void        valuesChanged( void );

private:
    resource    *Resource;
    int         Engine1F;
    int         Engine2F;

    QVBox       *BOX_Parent;
    QGroupBox   *BOX_Engine;
    KComboBox   *COMBO_Engine;
    QGroupBox   *BOX_EngineHelper;
    KComboBox   *COMBO_EngineHelper;
    QGroupBox   *GROUP_Strength;
    QLabel      *LABEL_Str_Min;
    QSlider     *SLIDER_Strength;
    QLabel      *LABEL_Str_Max;
};

#endif
