//
// C++ Interface: dlg_uciconfig
//
// Description:
//
//
// Author: Troy Corbin Jr. <troy@knights-chess.com>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef DLG_UCICONFIG_H
#define DLG_UCICONFIG_H

#include <kdialogbase.h>
#include <qvaluelist.h>
#include <qstringlist.h>
#include "resource.h"

class io_engine;
class QVBox;

typedef struct UCIOption
{
  QString name;
  QWidget *boxPtr;
  QWidget *ptr;
};

typedef QValueList<UCIOption> OptionList;

/**
@author Troy Corbin Jr.
*/
class dlg_uciconfig : public KDialogBase
{
  Q_OBJECT
  public:
    dlg_uciconfig(QWidget *parent, const char *name, resource *Rsrc, engineList::Iterator eIT );
    ~dlg_uciconfig();

  protected slots:
    void getFromEngine( const Command& );

  private:
    io_engine            *engine;
    resource             *myResource;
    QVBox                *BOX_Parent;
    OptionList           *optionList;
    engineList::Iterator IT;
    QStringList          engineOptions;
    QStringList          presetOptions;
};

#endif
