/***************************************************************************
                          knights.cpp  -  description
                             -------------------
    begin                : Thu Mar  1 10:43:51 CST 2001
    copyright            : (C) 2003 by Troy Corbin Jr.
    email                : tcorbin@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

/* Local */
#include "knights.moc"
#include "resource.h"
#include "core.h"
#include "list_pgn.h"
#include "wiz_setup.h"
#include "splash.h"
#include "tabmanager.h"

Knights::Knights( KCmdLineArgs *Args ) : QObject(0, 0)
{
    Resource = NULL;
    args = Args;
    splashScreen = NULL;
}
Knights::~Knights()
{
    killAll();
}
///////////////////////////////////////
//
//  Knights::killAll
//
///////////////////////////////////////
void Knights::killAll(void)
{
    if( Resource != NULL )
    {
        delete Resource;
        Resource = NULL;
    }
}
///////////////////////////////////////
//
//  Knights::init
//
///////////////////////////////////////
bool Knights::init( void )
{
    wiz_setup *Wizard;
    Resource = new resource(args);

    if( Resource->OPTION_Show_Splash )
    {
        splashScreen = new splash();
    }

    Resource->setTheme();
    Resource->setAudio();

    /*
                Connect Accelerators
    */
    //  connect( Resource->myAccel, SIGNAL( move_prev() ), this, SLOT( PrevNotation() ) );
    //  connect( Resource->myAccel, SIGNAL( move_next() ), this, SLOT( NextNotation() ) );
    //  connect( this, SIGNAL( focus( const QChar& ) ), Resource->myAccel, SIGNAL( focus( const QChar& ) ) );

    /* Remove the Splash Screen */
    if( splashScreen != NULL )
    {
        delete splashScreen;
    }

    /* Run the Setup Wizard if needed */
    if( Resource->Config_Version < CONFIG_VERSION )
    {
        Wizard = new wiz_setup( 0, "wiz_setup", Resource );
        Wizard->exec();
        delete Wizard;
        Resource->Config_Version = CONFIG_VERSION;
    }

    /* Begin loading file from command line */
    if( args->count() )
    {
        list_pgn *listPGN = new list_pgn( 0, "listPGN" );
        Resource->tabManager->addTab( listPGN, QString( args->arg( 0 ) ) );
        connect( listPGN, SIGNAL( selected( const QString&, const int& ) ), Resource->Core, SLOT( load( const QString&, const int& ) ) );
        listPGN->setURL( QString( args->arg( 0 ) ) );
    }
    else
    {
        /* Bring up a match or pgn file */
        switch( Resource->OPTION_On_Init )
        {
        case MENU_VS_PC:
            if( Resource->engines.count() )
            {
                Resource->Core->newMatch( new match_param( Resource, PLAYERLOCAL, PLAYERPC ) );
                break;
            } // Fall through
        case MENU_SOLITARE:
            Resource->Core->newMatch( new match_param( Resource, PLAYERLOCAL, PLAYERLOCAL ) );
            break;
        case MENU_CONNECT:
            Resource->Core->createNewIO( PLAYERTCP, Null);
            Resource->tabManager->refreshMenus();
            break;
        default:
            // Temporary fix for 0.6.1 development.
            // Will add the new main menu here.
            Resource->Core->newMatch( new match_param( Resource, PLAYERLOCAL, PLAYERLOCAL ) );
            break;
        }
    }
    return true;
}
///////////////////////////////////////
//
//      Knights::keyPressEvent
//
///////////////////////////////////////
//void Knights::keyPressEvent( QKeyEvent *e )
//{
//      QChar input;
//
//      if( ( e->state() | Qt::ShiftButton ) == Qt::ShiftButton )
//      {
//              input = e->text().at(0);
//              if( input.isLetterOrNumber() )
//              {
//                      emit focus( input );
//                      e->accept();
//                      return;
//              }
//      }
//      e->ignore();
//}
///////////////////////////////////////
//
//      Knights::settings
//
///////////////////////////////////////
//void Knights::settings(int opt)
//{
//      switch(opt)
//      {
//              case MENU_PAUSE:
//                      if( Resource->Core->paused() )
//                      {
//                              matchMenu->changeItem( MENU_PAUSE,
//                                                                                                              QIconSet( Resource->LoadIcon( QString("player_pause"), KIcon::Small ) ),
//                                                                                                                      i18n( "Pause" ) );
//                      }
//                      else
//                      {
//                              matchMenu->changeItem( MENU_PAUSE,
//                                                                                                                      QIconSet( Resource->LoadIcon( QString("1rightarrow"), KIcon::Small ) ),
//                                                                                                                      i18n( "Resume" ) );
//                      }
//                      Resource->Core->matchMenu( MENU_PAUSE );
//                      break;
//              default:
//                      break;
//      }
//}

