/***************************************************************************
                          menubar.h  -  Knights MenuBar implementation
                             -------------------
    begin                : Mon Mar 3 2003
    copyright            : (C) 2003-2005 by The Knights Project
    email                : knights-general@lists.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MENUBAR_H
#define MENUBAR_H

#include <qguardedptr.h>
#include <kmenubar.h>

class KPopupMenu;
class KHelpMenu;
class KAboutDialog;
class KActionCollection;

class resource;

/**
 * @author The Knights Team
 */
class MenuBar : public KMenuBar
{
	Q_OBJECT

	public:
		MenuBar(QWidget *parent = 0, const char *name = 0, resource *resource = 0);
		~MenuBar();

		void     createMenus();
		void     createWindowMenu(QStringList &list, const int &current);
		void     createAboutDialog();
		void     destroyMenus();

		void     changeContextMenu(KPopupMenu *menu, QString &caption);
		void     removeContextMenu();
		void     setItemEnabled(const int &item, const bool &enabled);

	signals:
		void     selected(int);

	protected:
		void     createFileMenu();
		void     createSettingsMenu();
		void     createTutorialMenu();
		void     createWindowMenu();

		void     resetBar();

		QString  readTextFile(const QString &dataType, const QString &filename);

	private:
		resource               *m_resource;
		KActionCollection      *m_actionCollection;
		KHelpMenu              *m_helpHelpMenu;
		KAboutDialog           *m_aboutKnightsDialog;

		KPopupMenu             *m_fileMenu;
		KPopupMenu             *m_settingsMenu;
		KPopupMenu             *m_tutorialMenu;
		KPopupMenu             *m_windowMenu;
		KPopupMenu             *m_newTabMenu;
		KPopupMenu             *m_helpMenu;

		QGuardedPtr<KPopupMenu> m_customMenu;
		QString                 m_customCaption;
};

#endif
