/***************************************************************************
                          seekmatchtab.h  -  Allows the user to seek matches.
                             -------------------
    begin                : Sat Sep 14 2002
    copyright            : (C) 2003 by Troy Corbin Jr.
                           (C) 2005 by Arend van Beelen jr.
    email                : tcorbin@users.sf.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef TAB_SEEKLIST_H
#define TAB_SEEKLIST_H

#include <qlistview.h>
#include <qstringlist.h>
#include <qwidget.h>

#include "command.h"
#include "seekmatchwidget.h"

class KPopupMenu;

class resource;

/**
 * @author Troy Corbin Jr.
 * @author Arend van Beelen jr.
 */
class SeekMatchTab : public SeekMatchWidget
{
	Q_OBJECT

	public:
		SeekMatchTab(QWidget *parent = 0, const char *name = 0, resource *resource = 0);

	public slots:
		void recvCMD(const Command &command);
		void showSeekMenu(QListViewItem *item, const QPoint &position, int);
		void selectMatch(QListViewItem *item);
		void selectMatch(int matchId);

		void menuItemClicked(int item);
		void showSeeksButtonToggled();
		void showGraphButtonClicked();
		void seekButtonClicked();

	signals:
		void sendCMD(const Command &command);

	protected:
		void addSoughtMatch(const QString &source);
		void updateSoughtMatchesList();

	private:
		resource        *m_resource;
		KPopupMenu      *m_seekMenu;
		int              m_selectedMatchId;
		QString          m_selectedPlayerName;

		// these StringLists temporarily store Sought Game data
		// until all ads have been displayed.
		QStringList m_sf1;
		QStringList m_sf2;
		QStringList m_sf3;
		QStringList m_sf4;
		QStringList m_sf5;
		QStringList m_sf6;
		QStringList m_sf7;
};

#endif
