/***************************************************************************
                          server_base.cpp  -  description
                             -------------------
    begin                : Tue Jul 29 2003
    copyright            : (C) 2003 by Alexander Wels
    email                : dutchy@sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "server_base.moc"
#include "match_param.h"

/////////////////////////////////////////////
//
//  server_base::server_base()
//
/////////////////////////////////////////////
server_base::server_base()
{
    myResource = NULL;
    retryCount = 1;
}

/////////////////////////////////////////////
//
//  server_base::server_base(resource *rsrc)
//
/////////////////////////////////////////////
server_base::server_base(const resource *rsrc)
{
    myResource = (resource*)rsrc;
    retryCount = 1;
}

/////////////////////////////////////////////
//
//  server_base::~server_base()
//
/////////////////////////////////////////////
server_base::~server_base()
{}

/////////////////////////////////////////////
//
//  server_base::safeStrCpy
//
/////////////////////////////////////////////
void server_base::safeStrCpy( char *dst, QString &src )
{
  /* Since we know this will be used to copy SAN or CAN into char* */
  if( src.length() > 7 )
  {
    kdWarning() << "server_base::safeStrCpy: Buffer Overflow Averted on Data: " << src << endl;
  }
  strcpy( dst, src.left( 7 ).latin1() );
}
