/***************************************************************************
                          setpageaudio.h  -  description
                             -------------------
    begin                : Thu Jan 10 2002
    copyright            : (C) 2003 by Troy Corbin Jr.
    email                : tcorbin@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SETPAGEAUDIO_H
#define SETPAGEAUDIO_H

#include <kcombobox.h>
#include <klineedit.h>
#include <qwidget.h>
#include <qhbox.h>
#include <qvbox.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qslider.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <qpushbutton.h>
#include "resource.h"

/**
  *@author Troy Corbin Jr.
  */

class setPageAudio : public QVBoxLayout
{
    Q_OBJECT
public:
    setPageAudio(QWidget *parent=0, resource *Rsrc=0);
    ~setPageAudio();
    void        buildThemeList( void );
    void        setActiveTab( const int &index );
    int         NewSounds;
    bool        changeTheme;

signals:
    void        enableApply( void );

public slots:
    void        slot_enableAudio( bool );
    void        slot_currentTheme( int );
    void        slot_currentVolume( int );
    void        slot_AudioCurrentOnly( bool );
    void        slot_AudioHelp( void );

private:
    QWidget     *Parent;
    resource    *Resource;

    QCheckBox   *BUTTON_enableAudio;
    QGroupBox   *GROUP_Theme;
    KComboBox   *Current_Theme;
    QPushButton *BUTTON_Audio_Help;
    QHBox       *BOX_Main;
    QGroupBox   *GROUP_Volume;
    QLabel      *Vol_Min;
    QSlider     *Current_Volume;
    QLabel      *Vol_Max;
    QVBox       *BOX_Options;
    QCheckBox   *BUTTON_AudioCurrentOnly;
};

#endif
